> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allium.so/llms.txt
> Use this file to discover all available pages before exploring further.

# NFT Contract

> This API returns the NFT contract metadata associated with the contract address.



## OpenAPI

````yaml _openapi/nft-api.json GET /api/v1/developer/nfts/contracts/{chain}/{contract_address}
openapi: 3.1.0
info:
  title: Allium API
  version: 0.1.0
servers:
  - url: https://api.allium.so
security: []
paths:
  /api/v1/developer/nfts/contracts/{chain}/{contract_address}:
    get:
      tags:
        - NFTS
        - DEVELOPER
      summary: NFT Contract
      description: >-
        This API returns the NFT contract metadata associated with the contract
        address.
      operationId: >-
        get_nft_contract_api_v1_developer_nfts_contracts__chain___contract_address__get
      parameters:
        - name: chain
          in: path
          required: true
          schema:
            enum:
              - ethereum
              - abstract
              - apechain
              - arbitrum
              - arbitrum-nova
              - avalanche
              - base
              - optimism
              - polygon
              - shape
              - soneium
              - xai
              - zero
              - zora
            type: string
            title: Chain
        - name: contract_address
          in: path
          required: true
          schema:
            type: string
            examples:
              - '0xBd3531dA5CF5857e7CfAA92426877b022e612cf8'
            title: Contract Address
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseEnvelopeSingleItem_NftContract_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyBearer: []
components:
  schemas:
    ResponseEnvelopeSingleItem_NftContract_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/NftContract'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      title: ResponseEnvelopeSingleItem[NftContract]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NftContract:
      properties:
        address:
          type: string
          title: Address
        chain:
          type: string
          title: Chain
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        collection:
          anyOf:
            - type: string
            - type: 'null'
          title: Collection
        contract_standard:
          anyOf:
            - type: string
            - type: 'null'
          title: Contract Standard
        total_supply:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Supply
      type: object
      required:
        - address
        - chain
        - name
        - collection
        - contract_standard
        - total_supply
      title: NftContract
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyBearer:
      type: apiKey
      in: header
      name: X-API-KEY

````